Legacy (v0)
List user notification prefs
Lists the notification settings of the user who owns the Bearer token, creating any that are missing with their defaults. Only currently available notifications are returned. meta.preset names the preset the settings match (default, essential, balanced, or engaged), or custom. Requires permission to view users.
GET
/
api
/
user_notification_prefs
List user notification prefs
curl --request GET \
--url https://api.fluid.app/api/user_notification_prefs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/user_notification_prefs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/user_notification_prefs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/user_notification_prefs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/user_notification_prefs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/user_notification_prefs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/user_notification_prefs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user_notification_prefs": [
{
"id": 551204,
"slug": "new_lead",
"email": true,
"push": true,
"category": "lead"
},
{
"id": 551205,
"slug": "video_complete_contact",
"email": true,
"push": true,
"category": "share"
},
{
"id": 551206,
"slug": "page_views",
"email": false,
"push": false,
"category": "share"
}
],
"meta": {
"preset": "custom"
}
}{
"message": "<string>"
}⌘I
List user notification prefs
curl --request GET \
--url https://api.fluid.app/api/user_notification_prefs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/user_notification_prefs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/user_notification_prefs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/user_notification_prefs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/user_notification_prefs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/user_notification_prefs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/user_notification_prefs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user_notification_prefs": [
{
"id": 551204,
"slug": "new_lead",
"email": true,
"push": true,
"category": "lead"
},
{
"id": 551205,
"slug": "video_complete_contact",
"email": true,
"push": true,
"category": "share"
},
{
"id": 551206,
"slug": "page_views",
"email": false,
"push": false,
"category": "share"
}
],
"meta": {
"preset": "custom"
}
}{
"message": "<string>"
}